Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## java.util
Class BitSet

Method Summary
`BitSet` | `and(BitSet right)` Bitwise AND together two BitSets.
`BitSet` | `bitwiseNegate()` Bitwise NEGATE a BitSet.
`boolean` | `getAt(int index)` Support the subscript operator for a Bitset
`BitSet` | `getAt(IntRange range)` Support retrieving a subset of a BitSet using a Range
`BitSet` | `or(BitSet right)` Bitwise OR together two BitSets.
`void` | `putAt(IntRange range, boolean value)` Support assigning a range of values with a single assignment statement.
`void` | `putAt(int index, boolean value)` Support subscript-style assignment for a BitSet.
`BitSet` | `xor(BitSet right)` Bitwise XOR together two BitSets.

Method Detail

### and

    public BitSet and(BitSet right)

  Bitwise AND together two BitSets.

Parameters:
  `right` - another BitSet to bitwise AND.

Returns:
  the bitwise AND of both BitSets

Since:
  1.5.0

### bitwiseNegate

    public BitSet bitwiseNegate()

  Bitwise NEGATE a BitSet.

Returns:
  the bitwise NEGATE of the BitSet

Since:
  1.5.0

### getAt

    public boolean getAt(int index)

  Support the subscript operator for a Bitset

Parameters:
  `index` - index to retrieve.

Returns:
  value of the bit at the given index

Since:
  1.5.0

See:
  BitSet.

### getAt

    public BitSet getAt(IntRange range)

  Support retrieving a subset of a BitSet using a Range

Parameters:
  `range` - a Range defining the desired subset.

Returns:
  a new BitSet that represents the requested subset

Since:
  1.5.0

See:
  BitSet.
  IntRange.

### or

    public BitSet or(BitSet right)

  Bitwise OR together two BitSets. Called when the '|' operator is used between two bit sets.

Parameters:
  `right` - another BitSet to bitwise AND.

Returns:
  the bitwise OR of both BitSets

Since:
  1.5.0

### putAt

    public void putAt(IntRange range, boolean value)

  Support assigning a range of values with a single assignment statement.

Parameters:
  `range` - the range of values to set.
  `value` - value.

Since:
  1.5.0

See:
  BitSet.
  Range.

### putAt

    public void putAt(int index, boolean value)

  Support subscript-style assignment for a BitSet.

Parameters:
  `index` - index of the entry to set.
  `value` - value.

Since:
  1.5.0

See:
  BitSet.

### xor

    public BitSet xor(BitSet right)

  Bitwise XOR together two BitSets. Called when the '^' operator is used between two bit sets.

Parameters:
  `right` - another BitSet to bitwise AND.

Returns:
  the bitwise XOR of both BitSets

Since:
  1.5.0

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK